-- Schema: C6Mart
-- Stored Procedure: DM_CATEGORIE_PRODOTTO

-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[DM_CATEGORIE_PRODOTTO]
AS
BEGIN

	SET NOCOUNT ON;
	DECLARE @righe INT
	SET @righe = 0

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_CATEGORIE_PRODOTTO',
		GETDATE(),
		'Elaborazione giornaliera'
	)

	TRUNCATE TABLE C6MART.CATEGORIE_PRODOTTO;

	INSERT INTO C6Mart.CATEGORIE_PRODOTTO(CAT_PRODOTTO,DESCRIZIONE,ORDINAMENTO)
	VALUES('Ges','Gestito finanziario',1);
	SET @righe = @righe + 1

	INSERT INTO C6Mart.CATEGORIE_PRODOTTO(CAT_PRODOTTO,DESCRIZIONE,ORDINAMENTO)
	VALUES('Ass','Gestito assicurativo previdenziale',2);
	SET @righe = @righe + 1

	INSERT INTO C6Mart.CATEGORIE_PRODOTTO(CAT_PRODOTTO,DESCRIZIONE,ORDINAMENTO)
	VALUES('Amm','Amministrato',3);
	SET @righe = @righe + 1
		
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @righe
	WHERE
		Nome = 'DM_CATEGORIE_PRODOTTO' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_CATEGORIE_PRODOTTO'
		)

END



